/*

This examples fetches data from openweathermap.org REST API.

Please note you will need to update getapikey.p in order for this to work.

*/


using OpenEdge.Net.HTTP.*.
using Progress.Json.ObjectModel.JsonObject from propath.

define variable apikey     as character no-undo.
define variable city       as character no-undo init "4932869".
define variable url        as character no-undo init "http://api.openweathermap.org/data/2.5/weather".

run getapikey.p (output apikey).

define variable oClient   as IHttpClient.
define variable oRequest  as IHttpRequest.
define variable oResponse as IHttpResponse.

oClient = ClientBuilder:Build():Client.
 
url = url + "?id=" + city + "&units=imperial".
 
oRequest = RequestBuilder:Get(url):AddHeader("x-api-key", apikey):Request.

oResponse = oClient:Execute(oRequest). 

define variable response as longchar no-undo.
response = cast(oResponse:Entity, JsonObject):GetJsonText().

 
message "current" city skip string(response) view-as alert-box.
