/*

This example connects to the OpenEdge Management REST API and starts wsbroker1 webspeed broker.

Use at your own risk.  This not officially documented or supported functionality.

*/

using OpenEdge.Net.HTTP.*.
using Progress.Json.ObjectModel.JsonObject from propath.

define variable oClient   as IHttpClient.
define variable oRequest  as IHttpRequest.
define variable oResponse as IHttpResponse.

oClient = ClientBuilder:Build():Client.

define variable creds as Credentials no-undo.

creds = new Credentials().
creds:UserName = "admin".
creds:Password = "admin".

define variable wsbroker1ResKey as character no-undo init 'localhost:resource.openedge.webspeed.wsbroker1'.

define variable url as character no-undo init 'http://localhost:9090/oem/containers/localhost/WebSpeed/servers/'.


url = url + wsbroker1ResKey.

define variable entity as JsonObject no-undo.

entity = new JsonObject().

/* set "running" to true in order to start the webspeed broker... use false to stop it */
/* request will fail if already running */
entity:Add("running", true).

oRequest = RequestBuilder:put(url, entity):UsingBasicAuthentication(creds):Request.



oResponse = oClient:Execute(oRequest).

message
    oResponse:StatusCode   skip
    oResponse:StatusReason skip
    string(cast(oResponse:Entity, JsonObject):getjsontext ())
    view-as alert-box.
