
/*

This example fetches most recently stored weather information reported 
by a single private weather station using the openweathermap.org REST API.

I have no idea which station this is for :(.  Station information includes longitude and latitude information
so maybe you can find out where it is?

Please note you will need to update getapikey.p in order for this to work.

*/

using OpenEdge.Net.HTTP.*.
using Progress.Json.ObjectModel.JsonObject from propath.

define variable apikey as character no-undo.
define variable station   as character no-undo init "5091".
define variable url    as character no-undo init "http://api.openweathermap.org/data/2.5/station".
define variable response as longchar no-undo.

run getapikey.p (output apikey).
 
define variable oClient   as IHttpClient.
define variable oRequest  as IHttpRequest.
define variable oResponse as IHttpResponse.

oClient = ClientBuilder:Build():Client.
 
url = url + "?id=" + station  + "&units=imperial".
 
oRequest = RequestBuilder:Get(url):AddHeader("x-api-key", apikey):Request.

oResponse = oClient:Execute(oRequest). 

response = cast(oResponse:Entity, JsonObject):GetJsonText().

 
message "station" station skip string(response) view-as alert-box.