
/*
Webspeed URLs contain the .p name as part of the URL.  We don't want to do
this for the REST API because it isn't pretty.  Instead, we'll dispatch
to a known program based on the URL instead of using the URL itself as the program name.

The programs we call need access to the webstream.  We can pass it in directly like we do here
or we could return a longchar or a JsonObject from the .p and handle the writing all in one spot.

The URL based dispatching here assumes that the "supports default service" option is turned on so that the URL's do not include
the /WService=wsbroker1 portion of the URL that is typical with WebSpeed.  If you want to leave that option turned off,
make sure to strip out out before trying to match the URL. 

*/

create widget-pool.

{src/web2/wrap-cgi.i}


output-content-type ("application/json":U).
    
if request_method = "GET" then 
do:
    
    if PATH_INFO begins "/rest/status" then 
    do:
        run rest/status.p.
    end.
    if PATH_INFO matches "/rest/weather/*" then 
    do:
        define variable cityid as character no-undo.
        cityid = entry(4, path_info, "/").
        
        run weather/current.p (input cityid, stream webstream:handle).
    end.
    if PATH_INFO matches "/rest/forecast/*" then 
    do: 
        cityid = entry(4, path_info, "/").
        
        run weather/forecast.p(input cityid, stream webstream:handle).
    end.
    
end.

