/*
This program retrieves the current weather for a particular city.  This requires
cityid in order to fetch the forecast from http://openweathermap.org.

*/


using OpenEdge.Net.HTTP.*.
using Progress.Json.ObjectModel.JsonObject from propath.


define input parameter cityid as character no-undo.
define input parameter webstream as handle no-undo.


define variable oClient   as IHttpClient.
define variable oRequest  as IHttpRequest.
define variable oResponse as IHttpResponse.
define variable apikey as character no-undo.
define variable url    as character no-undo init "http://api.openweathermap.org/data/2.5/weather".

run weather/getapikey.p (output apikey).

oClient = ClientBuilder:Build():Client.
 
url = url + "?id=" + cityid + "&units=imperial".
 
oRequest = RequestBuilder:Get(url):AddHeader("x-api-key", apikey):Request.

oResponse = oClient:Execute(oRequest). 

define variable response as longchar no-undo.

response = cast(oResponse:Entity, JsonObject):GetJsonText().


/*

The current weather is fairly convenient format, so simply export the response that we get
back to the webstream.  OpenEdge doesn't currently support serializing a JSON object directly
to a stream, so we convert it to a longchar and write that out to the stream.

*/
put stream-handle webstream unformatted string(response).
