 
/*------------------------------------------------------------------------
   File        : WeatherForecast
   Purpose     : 
   Syntax      : 
   Description : 
   Author(s)   : mbaker
   Created     : Tue Jun 02 10:31:38 EDT 2015
   Notes       : 
 ----------------------------------------------------------------------*/

using Progress.Lang.*.
using Progress.Windows.Form.

using OpenEdge.Net.HTTP.*.
using Progress.Json.ObjectModel.JsonObject from propath.
using Progress.Json.ObjectModel.JsonArray from propath.
using OpenEdge.Core.Collections.ObjectStack from propath.
using Progress.Lang.Object from propath.


block-level on error undo, throw.

class WeatherForecast inherits Form: 
	
    define private variable bindingSource1 as Progress.Data.BindingSource             no-undo.
    define private variable components     as System.ComponentModel.IContainer        no-undo.
    define private variable ultraChart1 as Infragistics.Win.UltraWinChart.UltraChart no-undo.
    define private variable ultraGrid1     as Infragistics.Win.UltraWinGrid.UltraGrid no-undo.
	

    define temp-table ttforecast no-undo
        field temp       as decimal
        field temp_min   as decimal
        field temp_max   as decimal
        field pressure   as decimal
        field sea_level  as decimal
        field grnd_level as decimal
        field humidity   as decimal
        field temp_kf    as decimal
        field dt         as datetime
        .
        
    define query forecastQuery for ttforecast scrolling.
    
    /*
      poppulate forecast temp-table with data from webspeed server
    
    */
    method private void LoadForecast():
        
        define variable url       as character     no-undo init "http://localhost:8080/cgi-bin/cgiip.exe/rest/forecast/4932869".
        
        define variable oClient   as IHttpClient.
        define variable oRequest  as IHttpRequest.
        define variable oResponse as IHttpResponse.
        
        oClient = ClientBuilder:Build():Client.
 
        oRequest = RequestBuilder:Get(url):Request.

        oResponse = oClient:Execute(oRequest). 
        
        temp-table ttforecast:read-json("JsonObject", cast(oResponse:Entity, JsonObject), "empty").
        
    end.	

		
    constructor public WeatherForecast (  ):
		
		
        super().
        InitializeComponent().
        this-object:ComponentsCollection:ADD(this-object:components).
        
        /* load data into temp-table that is bound to the prodataset */
        LoadForecast().
         
        open query forecastQuery for each ttforecast. 
         
        bindingSource1:Handle = query forecastQuery:handle.
        
        catch e as Progress.Lang.Error:
            undo, throw e.
        end catch.
        

    end constructor.

    method private void InitializeComponent(  ):
		
        /* NOTE: The following method is automatically generated.
        
        We strongly suggest that the contents of this method only be modified using the
        Visual Designer to avoid any incompatible modifications.
        
        Modifying the contents of this method using a code editor will invalidate any support for this file. */
        this-object:components = new System.ComponentModel.Container().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable tableDesc1 as Progress.Data.TableDesc no-undo.
        tableDesc1 = new Progress.Data.TableDesc("forecast").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance1 as Infragistics.Win.Appearance no-undo.
        appearance1 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridBand1 as Infragistics.Win.UltraWinGrid.UltraGridBand no-undo.
        ultraGridBand1 = new Infragistics.Win.UltraWinGrid.UltraGridBand("forecast", -1).
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn1 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn1 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("temp").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn8 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn8 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("humidity").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn9 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn9 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("pressure").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn10 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn10 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("temp_min").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn11 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn11 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("temp_max").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable ultraGridColumn12 as Infragistics.Win.UltraWinGrid.UltraGridColumn no-undo.
        ultraGridColumn12 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("dt").
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance2 as Infragistics.Win.Appearance no-undo.
        appearance2 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance3 as Infragistics.Win.Appearance no-undo.
        appearance3 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance4 as Infragistics.Win.Appearance no-undo.
        appearance4 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance5 as Infragistics.Win.Appearance no-undo.
        appearance5 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance6 as Infragistics.Win.Appearance no-undo.
        appearance6 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance7 as Infragistics.Win.Appearance no-undo.
        appearance7 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance8 as Infragistics.Win.Appearance no-undo.
        appearance8 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance9 as Infragistics.Win.Appearance no-undo.
        appearance9 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance10 as Infragistics.Win.Appearance no-undo.
        appearance10 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance11 as Infragistics.Win.Appearance no-undo.
        appearance11 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable appearance12 as Infragistics.Win.Appearance no-undo.
        appearance12 = new Infragistics.Win.Appearance().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable chartArea1 as Infragistics.UltraChart.Resources.Appearance.ChartArea no-undo.
        chartArea1 = new Infragistics.UltraChart.Resources.Appearance.ChartArea().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable axisItem1 as Infragistics.UltraChart.Resources.Appearance.AxisItem no-undo.
        axisItem1 = new Infragistics.UltraChart.Resources.Appearance.AxisItem().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable axisItem2 as Infragistics.UltraChart.Resources.Appearance.AxisItem no-undo.
        axisItem2 = new Infragistics.UltraChart.Resources.Appearance.AxisItem().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable paintElement1 as Infragistics.UltraChart.Resources.Appearance.PaintElement no-undo.
        paintElement1 = new Infragistics.UltraChart.Resources.Appearance.PaintElement().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable paintElement2 as Infragistics.UltraChart.Resources.Appearance.PaintElement no-undo.
        paintElement2 = new Infragistics.UltraChart.Resources.Appearance.PaintElement().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable compositeLegend1 as Infragistics.UltraChart.Resources.Appearance.CompositeLegend no-undo.
        compositeLegend1 = new Infragistics.UltraChart.Resources.Appearance.CompositeLegend().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable numericTimeSeries1 as Infragistics.UltraChart.Resources.Appearance.NumericTimeSeries no-undo.
        numericTimeSeries1 = new Infragistics.UltraChart.Resources.Appearance.NumericTimeSeries().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable numericTimeDataPoint1 as Infragistics.UltraChart.Resources.Appearance.NumericTimeDataPoint no-undo.
        numericTimeDataPoint1 = new Infragistics.UltraChart.Resources.Appearance.NumericTimeDataPoint().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable paintElement3 as Infragistics.UltraChart.Resources.Appearance.PaintElement no-undo.
        paintElement3 = new Infragistics.UltraChart.Resources.Appearance.PaintElement().
        @VisualDesigner.FormMember (NeedsInitialize="true").
        define variable gradientEffect1 as Infragistics.UltraChart.Resources.Appearance.GradientEffect no-undo.
        gradientEffect1 = new Infragistics.UltraChart.Resources.Appearance.GradientEffect().
        this-object:bindingSource1 = new Progress.Data.BindingSource(this-object:components).
        this-object:ultraGrid1 = new Infragistics.Win.UltraWinGrid.UltraGrid().
        this-object:ultraChart1 = new Infragistics.Win.UltraWinChart.UltraChart().
        cast(this-object:bindingSource1, System.ComponentModel.ISupportInitialize):BeginInit().
        cast(this-object:ultraGrid1, System.ComponentModel.ISupportInitialize):BeginInit().
        cast(this-object:ultraChart1, System.ComponentModel.ISupportInitialize):BeginInit().
        this-object:SuspendLayout().
        /*  */
        /* bindingSource1 */
        /*  */
        this-object:bindingSource1:MaxDataGuess = 0.
        this-object:bindingSource1:NoLOBs = false.
        this-object:bindingSource1:Position = 0.
        @VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
        define variable arrayvar0 as "Progress.Data.TableDesc[]" no-undo.
        arrayvar0 = new "Progress.Data.TableDesc[]"(0).
        tableDesc1:ChildTables = arrayvar0.
        @VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
        define variable arrayvar1 as Progress.Data.ColumnPropDesc extent 6 no-undo.
        arrayvar1[1] = new Progress.Data.ColumnPropDesc("temp", "Temperature", Progress.Data.DataType:DECIMAL).
        arrayvar1[2] = new Progress.Data.ColumnPropDesc("humidity", "Humidity", Progress.Data.DataType:DECIMAL).
        arrayvar1[3] = new Progress.Data.ColumnPropDesc("pressure", "Pressure", Progress.Data.DataType:DECIMAL).
        arrayvar1[4] = new Progress.Data.ColumnPropDesc("temp_min", "Min Temp.", Progress.Data.DataType:DECIMAL).
        arrayvar1[5] = new Progress.Data.ColumnPropDesc("temp_max", "Max Temp", Progress.Data.DataType:DECIMAL).
        arrayvar1[6] = new Progress.Data.ColumnPropDesc("dt", "Time", Progress.Data.DataType:DATETIME).
        tableDesc1:Columns = arrayvar1.
        this-object:bindingSource1:TableSchema = tableDesc1.
        /*  */
        /* ultraGrid1 */
        /*  */
        this-object:ultraGrid1:DataSource = this-object:bindingSource1.
        appearance1:BackColor = System.Drawing.SystemColors:Window.
        appearance1:BorderColor = System.Drawing.SystemColors:InactiveCaption.
        this-object:ultraGrid1:DisplayLayout:Appearance = appearance1.
        ultraGridColumn1:Header:VisiblePosition = 0.
        ultraGridColumn1:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(100, 0).
        ultraGridColumn8:Header:VisiblePosition = 1.
        ultraGridColumn8:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(101, 0).
        ultraGridColumn9:Header:VisiblePosition = 2.
        ultraGridColumn9:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(116, 0).
        ultraGridColumn10:Header:VisiblePosition = 3.
        ultraGridColumn10:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(107, 0).
        ultraGridColumn11:Header:VisiblePosition = 4.
        ultraGridColumn11:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(158, 0).
        ultraGridColumn12:Format = "dd/MM/yyyy HH:mm:ss".
        ultraGridColumn12:Header:VisiblePosition = 5.
        ultraGridColumn12:RowLayoutColumnInfo:PreferredCellSize = new System.Drawing.Size(261, 0).
        @VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
        define variable arrayvar2 as System.Object extent 6 no-undo.
        arrayvar2[1] = ultraGridColumn1.
        arrayvar2[2] = ultraGridColumn8.
        arrayvar2[3] = ultraGridColumn9.
        arrayvar2[4] = ultraGridColumn10.
        arrayvar2[5] = ultraGridColumn11.
        arrayvar2[6] = ultraGridColumn12.
        ultraGridBand1:Columns:AddRange(arrayvar2).
        ultraGridBand1:RowLayoutStyle = Infragistics.Win.UltraWinGrid.RowLayoutStyle:ColumnLayout.
        this-object:ultraGrid1:DisplayLayout:BandsSerializer:Add(ultraGridBand1).
        this-object:ultraGrid1:DisplayLayout:BorderStyle = Infragistics.Win.UIElementBorderStyle:Solid.
        this-object:ultraGrid1:DisplayLayout:CaptionVisible = Infragistics.Win.DefaultableBoolean:False.
        appearance2:BackColor = System.Drawing.SystemColors:ActiveBorder.
        appearance2:BackColor2 = System.Drawing.SystemColors:ControlDark.
        appearance2:BackGradientStyle = Infragistics.Win.GradientStyle:Vertical.
        appearance2:BorderColor = System.Drawing.SystemColors:Window.
        this-object:ultraGrid1:DisplayLayout:GroupByBox:Appearance = appearance2.
        appearance3:ForeColor = System.Drawing.SystemColors:GrayText.
        this-object:ultraGrid1:DisplayLayout:GroupByBox:BandLabelAppearance = appearance3.
        this-object:ultraGrid1:DisplayLayout:GroupByBox:BorderStyle = Infragistics.Win.UIElementBorderStyle:Solid.
        appearance4:BackColor = System.Drawing.SystemColors:ControlLightLight.
        appearance4:BackColor2 = System.Drawing.SystemColors:Control.
        appearance4:BackGradientStyle = Infragistics.Win.GradientStyle:Horizontal.
        appearance4:ForeColor = System.Drawing.SystemColors:GrayText.
        this-object:ultraGrid1:DisplayLayout:GroupByBox:PromptAppearance = appearance4.
        this-object:ultraGrid1:DisplayLayout:MaxColScrollRegions = 1.
        this-object:ultraGrid1:DisplayLayout:MaxRowScrollRegions = 1.
        appearance5:BackColor = System.Drawing.SystemColors:Window.
        appearance5:ForeColor = System.Drawing.SystemColors:ControlText.
        this-object:ultraGrid1:DisplayLayout:Override:ActiveCellAppearance = appearance5.
        appearance6:BackColor = System.Drawing.SystemColors:Highlight.
        appearance6:ForeColor = System.Drawing.SystemColors:HighlightText.
        this-object:ultraGrid1:DisplayLayout:Override:ActiveRowAppearance = appearance6.
        this-object:ultraGrid1:DisplayLayout:Override:AllowAddNew = Infragistics.Win.UltraWinGrid.AllowAddNew:No.
        this-object:ultraGrid1:DisplayLayout:Override:AllowDelete = Infragistics.Win.DefaultableBoolean:False.
        this-object:ultraGrid1:DisplayLayout:Override:AllowUpdate = Infragistics.Win.DefaultableBoolean:False.
        this-object:ultraGrid1:DisplayLayout:Override:BorderStyleCell = Infragistics.Win.UIElementBorderStyle:Dotted.
        this-object:ultraGrid1:DisplayLayout:Override:BorderStyleRow = Infragistics.Win.UIElementBorderStyle:Dotted.
        appearance7:BackColor = System.Drawing.SystemColors:Window.
        this-object:ultraGrid1:DisplayLayout:Override:CardAreaAppearance = appearance7.
        appearance8:BorderColor = System.Drawing.Color:Silver.
        appearance8:TextTrimming = Infragistics.Win.TextTrimming:EllipsisCharacter.
        this-object:ultraGrid1:DisplayLayout:Override:CellAppearance = appearance8.
        this-object:ultraGrid1:DisplayLayout:Override:CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction:EditAndSelectText.
        this-object:ultraGrid1:DisplayLayout:Override:CellPadding = 0.
        appearance9:BackColor = System.Drawing.SystemColors:Control.
        appearance9:BackColor2 = System.Drawing.SystemColors:ControlDark.
        appearance9:BackGradientAlignment = Infragistics.Win.GradientAlignment:Element.
        appearance9:BackGradientStyle = Infragistics.Win.GradientStyle:Horizontal.
        appearance9:BorderColor = System.Drawing.SystemColors:Window.
        this-object:ultraGrid1:DisplayLayout:Override:GroupByRowAppearance = appearance9.
        appearance10:TextHAlignAsString = "Left".
        this-object:ultraGrid1:DisplayLayout:Override:HeaderAppearance = appearance10.
        this-object:ultraGrid1:DisplayLayout:Override:HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction:SortMulti.
        this-object:ultraGrid1:DisplayLayout:Override:HeaderStyle = Infragistics.Win.HeaderStyle:WindowsXPCommand.
        appearance11:BackColor = System.Drawing.SystemColors:Window.
        appearance11:BorderColor = System.Drawing.Color:Silver.
        this-object:ultraGrid1:DisplayLayout:Override:RowAppearance = appearance11.
        this-object:ultraGrid1:DisplayLayout:Override:RowSelectors = Infragistics.Win.DefaultableBoolean:False.
        appearance12:BackColor = System.Drawing.SystemColors:ControlLight.
        this-object:ultraGrid1:DisplayLayout:Override:TemplateAddRowAppearance = appearance12.
        this-object:ultraGrid1:DisplayLayout:ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds:ScrollToFill.
        this-object:ultraGrid1:DisplayLayout:ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle:Immediate.
        this-object:ultraGrid1:DisplayLayout:ViewStyle = Infragistics.Win.UltraWinGrid.ViewStyle:SingleBand.
        this-object:ultraGrid1:DisplayLayout:ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand:OutlookGroupBy.
        this-object:ultraGrid1:Dock = System.Windows.Forms.DockStyle:Top.
        this-object:ultraGrid1:Font = new System.Drawing.Font("Microsoft Sans Serif", Progress.Util.CastUtil:ToSingle(8.25), System.Drawing.FontStyle:Regular, System.Drawing.GraphicsUnit:Point, System.Convert:ToByte(0)).
        this-object:ultraGrid1:Location = new System.Drawing.Point(0, 0).
        this-object:ultraGrid1:Name = "ultraGrid1".
        this-object:ultraGrid1:Size = new System.Drawing.Size(832, 273).
        this-object:ultraGrid1:TabIndex = 0.
        this-object:ultraGrid1:Text = "ultraGrid1".
        this-object:ultraGrid1:InitializeLayout:Subscribe(this-object:ultraGrid1_InitializeLayout).
        /* 
        'UltraChart' properties's serialization: Since 'ChartType' changes the way axes look,
        'ChartType' must be persisted ahead of any Axes change made in design time.
         */
        this-object:ultraChart1:ChartType = Infragistics.UltraChart.Shared.Styles.ChartType:LineChart.
        /*  */
        /* ultraChart1 */
        /*  */
        this-object:ultraChart1:Axis:BackColor = System.Drawing.Color:FromArgb(System.Convert:ToInt32(System.Convert:ToByte(255)), System.Convert:ToInt32(System.Convert:ToByte(248)), System.Convert:ToInt32(System.Convert:ToByte(220))).
        this-object:ultraChart1:Axis:X:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:X:Labels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:X:Labels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:X:Labels:ItemFormatString = "<ITEM_LABEL>".
        this-object:ultraChart1:Axis:X:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:X:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:VerticalLeftFacing.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:FormatString = "".
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:VerticalLeftFacing.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:X:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:X:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:X:Labels:Visible = true.
        this-object:ultraChart1:Axis:X:LineThickness = 1.
        this-object:ultraChart1:Axis:X:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:X:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:X:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:X:MajorGridLines:Visible = false.
        this-object:ultraChart1:Axis:X:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:X:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:X:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:X:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:X:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:X:Visible = true.
        this-object:ultraChart1:Axis:X2:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:X2:Labels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:X2:Labels:HorizontalAlign = System.Drawing.StringAlignment:Far.
        this-object:ultraChart1:Axis:X2:Labels:ItemFormatString = "<ITEM_LABEL>".
        this-object:ultraChart1:Axis:X2:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:X2:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:VerticalLeftFacing.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:FormatString = "".
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Far.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:VerticalLeftFacing.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:X2:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:X2:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:X2:Labels:Visible = false.
        this-object:ultraChart1:Axis:X2:LineThickness = 1.
        this-object:ultraChart1:Axis:X2:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:X2:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:X2:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:X2:MajorGridLines:Visible = true.
        this-object:ultraChart1:Axis:X2:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:X2:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:X2:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:X2:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:X2:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:X2:Visible = false.
        this-object:ultraChart1:Axis:Y:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Y:Labels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:Y:Labels:HorizontalAlign = System.Drawing.StringAlignment:Far.
        this-object:ultraChart1:Axis:Y:Labels:ItemFormatString = "<DATA_VALUE:00.##>".
        this-object:ultraChart1:Axis:Y:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Y:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:FormatString = "".
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Far.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Y:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:Y:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Y:Labels:Visible = true.
        this-object:ultraChart1:Axis:Y:LineThickness = 1.
        this-object:ultraChart1:Axis:Y:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Y:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:Y:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Y:MajorGridLines:Visible = true.
        this-object:ultraChart1:Axis:Y:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Y:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:Y:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Y:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:Y:TickmarkInterval = Progress.Util.CastUtil:ToDouble("20").
        this-object:ultraChart1:Axis:Y:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:Y:Visible = true.
        this-object:ultraChart1:Axis:Y2:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Y2:Labels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:Y2:Labels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Y2:Labels:ItemFormatString = "<DATA_VALUE:00.##>".
        this-object:ultraChart1:Axis:Y2:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Y2:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:FormatString = "".
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Y2:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:Y2:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Y2:Labels:Visible = false.
        this-object:ultraChart1:Axis:Y2:LineThickness = 1.
        this-object:ultraChart1:Axis:Y2:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Y2:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:Y2:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Y2:MajorGridLines:Visible = true.
        this-object:ultraChart1:Axis:Y2:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Y2:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:Y2:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Y2:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:Y2:TickmarkInterval = Progress.Util.CastUtil:ToDouble("20").
        this-object:ultraChart1:Axis:Y2:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:Y2:Visible = false.
        this-object:ultraChart1:Axis:Z:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Z:Labels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:Z:Labels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Z:Labels:ItemFormatString = "".
        this-object:ultraChart1:Axis:Z:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Z:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:FontColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Z:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:Z:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Z:Labels:Visible = false.
        this-object:ultraChart1:Axis:Z:LineThickness = 1.
        this-object:ultraChart1:Axis:Z:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Z:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:Z:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Z:MajorGridLines:Visible = true.
        this-object:ultraChart1:Axis:Z:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Z:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:Z:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Z:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:Z:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:Z:Visible = false.
        this-object:ultraChart1:Axis:Z2:Labels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Z2:Labels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:Z2:Labels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Z2:Labels:ItemFormatString = "".
        this-object:ultraChart1:Axis:Z2:Labels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Z2:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:Font = new System.Drawing.Font("Verdana", Progress.Util.CastUtil:ToSingle(7)).
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:FontColor = System.Drawing.Color:Gray.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:Layout:Behavior = Infragistics.UltraChart.Shared.Styles.AxisLabelLayoutBehaviors:Auto.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Z2:Labels:SeriesLabels:Visible = true.
        this-object:ultraChart1:Axis:Z2:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        this-object:ultraChart1:Axis:Z2:Labels:Visible = false.
        this-object:ultraChart1:Axis:Z2:LineThickness = 1.
        this-object:ultraChart1:Axis:Z2:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Z2:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        this-object:ultraChart1:Axis:Z2:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Z2:MajorGridLines:Visible = true.
        this-object:ultraChart1:Axis:Z2:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        this-object:ultraChart1:Axis:Z2:MinorGridLines:Color = System.Drawing.Color:LightGray.
        this-object:ultraChart1:Axis:Z2:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        this-object:ultraChart1:Axis:Z2:MinorGridLines:Visible = false.
        this-object:ultraChart1:Axis:Z2:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        this-object:ultraChart1:Axis:Z2:Visible = false.
        this-object:ultraChart1:BackgroundImageLayout = System.Windows.Forms.ImageLayout:Center.
        this-object:ultraChart1:ColorModel:AlphaLevel = System.Convert:ToByte(150).
        this-object:ultraChart1:ColorModel:ColorBegin = System.Drawing.Color:Pink.
        this-object:ultraChart1:ColorModel:ColorEnd = System.Drawing.Color:DarkRed.
        this-object:ultraChart1:ColorModel:ModelStyle = Infragistics.UltraChart.Shared.Styles.ColorModels:CustomLinear.
        axisItem1:DataType = Infragistics.UltraChart.Shared.Styles.AxisDataType:Numeric.
        axisItem1:Key = "axis1".
        axisItem1:Labels:FontColor = System.Drawing.Color:Empty.
        axisItem1:Labels:HorizontalAlign = System.Drawing.StringAlignment:Near.
        axisItem1:Labels:ItemFormatString = "".
        axisItem1:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        axisItem1:Labels:SeriesLabels:FontColor = System.Drawing.Color:Empty.
        axisItem1:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Center.
        axisItem1:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        axisItem1:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        axisItem1:Labels:SeriesLabels:Visible = true.
        axisItem1:Labels:VerticalAlign = System.Drawing.StringAlignment:Center.
        axisItem1:Labels:Visible = true.
        axisItem1:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        axisItem1:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        axisItem1:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        axisItem1:MajorGridLines:Visible = true.
        axisItem1:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        axisItem1:MinorGridLines:Color = System.Drawing.Color:LightGray.
        axisItem1:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        axisItem1:MinorGridLines:Visible = false.
        axisItem1:OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber:Y_Axis.
        axisItem1:SetLabelAxisType = Infragistics.UltraChart.Core.Layers.SetLabelAxisType:GroupBySeries.
        axisItem2:DataType = Infragistics.UltraChart.Shared.Styles.AxisDataType:Time.
        axisItem2:Key = "axis2".
        axisItem2:Labels:FontColor = System.Drawing.Color:Empty.
        axisItem2:Labels:HorizontalAlign = System.Drawing.StringAlignment:Center.
        axisItem2:Labels:ItemFormatString = "".
        axisItem2:Labels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        axisItem2:Labels:SeriesLabels:FontColor = System.Drawing.Color:Empty.
        axisItem2:Labels:SeriesLabels:HorizontalAlign = System.Drawing.StringAlignment:Center.
        axisItem2:Labels:SeriesLabels:Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation:Horizontal.
        axisItem2:Labels:SeriesLabels:VerticalAlign = System.Drawing.StringAlignment:Center.
        axisItem2:Labels:SeriesLabels:Visible = true.
        axisItem2:Labels:VerticalAlign = System.Drawing.StringAlignment:Near.
        axisItem2:Labels:Visible = true.
        axisItem2:MajorGridLines:AlphaLevel = System.Convert:ToByte(255).
        axisItem2:MajorGridLines:Color = System.Drawing.Color:Gainsboro.
        axisItem2:MajorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        axisItem2:MajorGridLines:Visible = true.
        axisItem2:MinorGridLines:AlphaLevel = System.Convert:ToByte(255).
        axisItem2:MinorGridLines:Color = System.Drawing.Color:LightGray.
        axisItem2:MinorGridLines:DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle:Dot.
        axisItem2:MinorGridLines:Visible = false.
        axisItem2:OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber:X_Axis.
        axisItem2:SetLabelAxisType = Infragistics.UltraChart.Core.Layers.SetLabelAxisType:GroupBySeries.
        axisItem2:TickmarkInterval = Progress.Util.CastUtil:ToDouble("5").
        axisItem2:TickmarkIntervalType = Infragistics.UltraChart.Shared.Styles.AxisIntervalType:Years.
        axisItem2:TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle:Smart.
        chartArea1:Axes:Add(axisItem1).
        chartArea1:Axes:Add(axisItem2).
        paintElement1:ElementType = Infragistics.UltraChart.Shared.Styles.PaintElementType:None.
        chartArea1:GridPE = paintElement1.
        chartArea1:Key = "area1".
        chartArea1:PE = paintElement2.
        this-object:ultraChart1:CompositeChart:ChartAreas:Add(chartArea1).
        this-object:ultraChart1:CompositeChart:Legends:Add(compositeLegend1).
        numericTimeSeries1:Data:TimeValueColumn = "".
        numericTimeSeries1:Data:ValueColumn = "".
        numericTimeSeries1:Key = "series1".
        numericTimeSeries1:Label = "Time".
        paintElement3:ElementType = Infragistics.UltraChart.Shared.Styles.PaintElementType:None.
        numericTimeDataPoint1:PE = paintElement3.
        numericTimeDataPoint1:TimeValue = Progress.Util.DateTimeHelper:Create(2015, 6, 2, 16, 31, 19, 0).
        numericTimeSeries1:Points:Add(numericTimeDataPoint1).
        @VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
        define variable arrayvar3 as Infragistics.UltraChart.Data.Series.ISeries extent 1 no-undo.
        arrayvar3[1] = numericTimeSeries1.
        this-object:ultraChart1:CompositeChart:Series:AddRange(arrayvar3).
        this-object:ultraChart1:Data:SwapRowsAndColumns = true.
        this-object:ultraChart1:Data:UseRowLabelsColumn = true.
        this-object:ultraChart1:DataSource = this-object:bindingSource1.
        this-object:ultraChart1:Dock = System.Windows.Forms.DockStyle:Bottom.
        this-object:ultraChart1:Effects:Effects:Add(gradientEffect1).
        this-object:ultraChart1:Location = new System.Drawing.Point(0, 279).
        this-object:ultraChart1:Name = "ultraChart1".
        this-object:ultraChart1:Size = new System.Drawing.Size(832, 328).
        this-object:ultraChart1:TabIndex = 1.
        this-object:ultraChart1:Tooltips:HighlightFillColor = System.Drawing.Color:DimGray.
        this-object:ultraChart1:Tooltips:HighlightOutlineColor = System.Drawing.Color:DarkGray.
        this-object:ultraChart1:Tooltips:TooltipControl = ?.
        this-object:ultraChart1:ChartDataClicked:Subscribe(this-object:ultraChart1_ChartDataClicked_1).
        /*  */
        /* WeatherForecast */
        /*  */
        this-object:ClientSize = new System.Drawing.Size(832, 607).
        this-object:Controls:Add(this-object:ultraChart1).
        this-object:Controls:Add(this-object:ultraGrid1).
        this-object:Name = "WeatherForecast".
        this-object:Text = "WeatherForecast".
        cast(this-object:bindingSource1, System.ComponentModel.ISupportInitialize):EndInit().
        cast(this-object:ultraGrid1, System.ComponentModel.ISupportInitialize):EndInit().
        cast(this-object:ultraChart1, System.ComponentModel.ISupportInitialize):EndInit().
        this-object:ResumeLayout(false).
        catch e as Progress.Lang.Error:
            undo, throw e.
        end catch.
    end method.


	/*------------------------------------------------------------------------------
	 Purpose:
	 Notes:
	------------------------------------------------------------------------------*/
	@VisualDesigner.
	method private void ultraChart1_ChartDataClicked_1( input sender as System.Object, input e as Infragistics.UltraChart.Shared.Events.ChartDataEventArgs ):
		
		return.

	end method.

    /*------------------------------------------------------------------------------
     Purpose:
     Notes:
    ------------------------------------------------------------------------------*/
    @VisualDesigner.
    method private void ultraGrid1_InitializeLayout( input sender as System.Object, input e as Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs ):
		
        return.

    end method.

    destructor public WeatherForecast ( ):

    end destructor.

end class.